Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.application.configuration
Interface ConfigurationService

    public interface ConfigurationService

Author:
  Nick Belaevski

Method Summary
`java.lang.Boolean` | `getBooleanValue(javax.faces.context.FacesContext facesContext, java.lang.Enum<?> key)`
`
`<T extends java.lang.Enum<T>> T`
` | `getEnumValue(javax.faces.context.FacesContext facesContext, java.lang.Enum<?> key, java.lang.Class<T> enumClass)`
`java.lang.Integer` | `getIntValue(javax.faces.context.FacesContext facesContext, java.lang.Enum<?> key)`
`java.lang.Long` | `getLongValue(javax.faces.context.FacesContext facesContext, java.lang.Enum<?> key)`
`java.lang.String` | `getStringValue(javax.faces.context.FacesContext facesContext, java.lang.Enum<?> key)`
`java.lang.Object` | `getValue(javax.faces.context.FacesContext facesContext, java.lang.Enum<?> key)`

Method Detail

### getBooleanValue

    java.lang.Boolean getBooleanValue(javax.faces.context.FacesContext facesContext,
                                      java.lang.Enum<?> key)

### getIntValue

    java.lang.Integer getIntValue(javax.faces.context.FacesContext facesContext,
                                  java.lang.Enum<?> key)

### getLongValue

    java.lang.Long getLongValue(javax.faces.context.FacesContext facesContext,
                                java.lang.Enum<?> key)

### getStringValue

    java.lang.String getStringValue(javax.faces.context.FacesContext facesContext,
                                    java.lang.Enum<?> key)

### getValue

    java.lang.Object getValue(javax.faces.context.FacesContext facesContext,
                              java.lang.Enum<?> key)

### getEnumValue

    <T extends java.lang.Enum<T>> T getEnumValue(javax.faces.context.FacesContext facesContext,
                                                 java.lang.Enum<?> key,
                                                 java.lang.Class<T> enumClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.